跳转到主要内容
GET
/
v3beta1
/
organizations
/
{org_id}
/
repositories
列出组织的可用代码仓库
curl --request GET \
  --url https://api.devin.ai/v3beta1/organizations/{org_id}/repositories \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "git_connection_host": "<string>",
      "git_connection_id": "<string>",
      "indexing_status": {
        "indexing_enabled": true,
        "latest_completed_search_index_job": {
          "branch_name": "<string>",
          "commit": "<string>",
          "created_at": 123,
          "job_id": "<string>",
          "status": "failed"
        },
        "latest_completed_wiki_index_job": {
          "branch_name": "<string>",
          "commit": "<string>",
          "created_at": 123,
          "job_id": "<string>",
          "status": "failed"
        },
        "latest_indexes": [
          {
            "branch_name": "<string>",
            "commit": "<string>",
            "created_at": 123,
            "job_id": "<string>",
            "status": "failed"
          }
        ]
      },
      "last_updated_at": 123,
      "provider_repository_id": "<string>",
      "repo_description": "<string>",
      "repo_language": "<string>",
      "repo_name": "<string>",
      "repo_path": "<string>"
    }
  ],
  "end_cursor": "<string>",
  "has_next_page": false,
  "total": 123
}

权限

需要在组织级别具有 Read 权限的服务账户。

授权

Authorization
string
header
必填

服务用户凭据(前缀:cog_)

查询参数

after
string | null
first
integer
默认值:100
必填范围: 1 <= x <= 100
filter_name
string | null
only_repo_paths
string[] | null
exclude_repo_paths
string[] | null
load_indexing_status
boolean
默认值:true

响应

成功响应

items
RepositoryResponse · object[]
必填
end_cursor
string | null

用于获取下一页的游标;如果没有下一页,则为 None。

has_next_page
boolean
默认值:false

当前页之后是否还有更多可用条目。

total
integer | null

可选的总数(为提升性能可省略)。